<?php 
/*
* Plugin Name: Doublef Galleries
* Version: 1.4
* Plugin URI: 
* Description: Doublef Galleries - WordPress theme plugin | This plugin creates "doublef-gallery" Custom Post Type, "doublef-galleries" Custom Taxonomy and throws in "Featured Gallery" SiteOrigin widget.
* Author: Dameer DJ
* Author URI: http://www.themeforest.com/user/feeleep
* 
* WordPress - 4.9.4
* Requires at least: 4.8
* Tested up to: 4.9.4
*
* Text Domain: doublef-galleries
* Domain Path: /lang/
*/

/*  
	Copyright 2018,  Dameer DJ  (email : dameer.dj@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

if( !defined( 'ABSPATH' ) ) exit;

// plugin paths
define( 'DOUBLEF_GALLERIES_DIR', plugin_dir_path( __FILE__ ) );
define( 'DOUBLEF_GALLERIES_URI', plugin_dir_url( __FILE__ ) );
define( 'DOUBLEF_GALLERIES_SLUG', 'doublef_galleries' );
define( 'DOUBLEF_GALLERIES_PREFIX', 'doublef_galleries_' );
define( 'DOUBLEF_GALLERIES_VER', '1.4' );

// Load plugin class file
require_once( 'includes/class-doublef-galleries.php' );

// init plugin
if( !function_exists( 'doublef_galleries_init' ) ) {

	function doublef_galleries_init() {
		
		global $doublef_galleries_instance;
		$doublef_galleries_instance = Doublef_Galleries::get_instance();

		// localization
		load_plugin_textdomain( 'doublef-galleries', FALSE, dirname( plugin_basename( __FILE__ ) ) . 'lang/' );
		
	} // end init
 
} // end if exists

add_action( 'plugins_loaded', 'doublef_galleries_init' );