<?php
/**
 * The template part for displaying Gallery archive
 * @package Doublef
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'grid layout_1' ); ?>>

    <?php
    // resolve possible ratios between featured image and text: 1_4_3_4, 1_3_2_3, 1_2_1_2, 2_3_1_3, 3_4_1_4
	$layout_press_ratio = ( '' != get_theme_mod( 'doublef-galleries-cat-layout_1_ratio', '1_2_1_2' ) ) ? esc_attr__( get_theme_mod( 'doublef-galleries-cat-layout_1_ratio', '1_2_1_2' ) ) : '1_2_1_2';
    $photo_class = '';
    $content_class = '';
    switch( $layout_press_ratio ) {
        case '1_4_3_4' : 
            $photo_class = 'grid__col grid__col--3-of-12 grid__col--m-1-of-1';
            $content_class = 'grid__col grid__col--9-of-12 grid__col--m-1-of-1';
        break;	
        case '1_3_2_3' : 
            $photo_class = 'grid__col grid__col--4-of-12 grid__col--m-1-of-1';
            $content_class = 'grid__col grid__col--8-of-12 grid__col--m-1-of-1';
        break;	
        case '1_2_1_2' : 
            $photo_class = 'grid__col grid__col--6-of-12 grid__col--m-1-of-1';
            $content_class = 'grid__col grid__col--6-of-12 grid__col--m-1-of-1';
        break;
        case '2_3_1_3' : 
            $photo_class = 'grid__col grid__col--8-of-12 grid__col--m-1-of-1';
            $content_class = 'grid__col grid__col--4-of-12 grid__col--m-1-of-1';
        break;
        case '3_4_1_4' : 
            $photo_class = 'grid__col grid__col--9-of-12 grid__col--m-1-of-1';
            $content_class = 'grid__col grid__col--3-of-12 grid__col--m-1-of-1';
        break;
        default : 
            $photo_class = 'grid__col grid__col--6-of-12 grid__col--m-1-of-1';
            $content_class = 'grid__col grid__col--6-of-12 grid__col--m-1-of-1';
    }
    // if no post thumbnail expand text
    if( ! $post_has_thumb || ! $show_featured_image ) $content_class = 'grid__col grid__col--12-of-12';
    ?>

    <?php if( $post_has_thumb && $show_featured_image ) { ?>
        
        <figure class="post-thumbnail <?php echo esc_attr( $photo_class ); ?>">
			<a href="<?php esc_url( the_permalink() ); ?>" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail( 'full' ); ?></a>
        </figure>
        
    <?php } ?>
    
    <div class="post-text-block <?php echo esc_attr( $content_class ); ?>">

        <header class="entry-header">
        
            <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
            
            <?php 
			if( $show_photos_num ) : ?>
                <h4 class="doublef-gallery-photos-num">
                <?php 
                $singular_photos = esc_attr__( 'photo', 'doublef-galleries' );
                $plural_photos = esc_attr__( 'photos', 'doublef-galleries' );
                $photos_string = ( $photos_num == 1 ) ? $singular_photos : $plural_photos;
                printf( '%d ' . $photos_string, $photos_num ); 
                ?>
                </h4>
            <?php endif; ?>
            
        </header><!-- .entry-header -->
        
        <?php if( $show_excerpt ) : ?>
    
        <div class="entry-content">
        
            <?php
            // depends on settings
            if( 'fulltext' == $excerpt_type ) {
                the_content( sprintf(
                    wp_kses(
                        /* translators: %s: Name of current post. Only visible to screen readers */
                        __( '<span class="screen-reader-text">Continue reading "%s"</span>', 'doublef-galleries' ),
                        array(
                            'span' => array(
                                'class' => array(),
                            ),
                        )
                    ),
                    get_the_title()
                ) );
    
                wp_link_pages( array(
                    'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'doublef-galleries' ),
                    'after'  => '</div>',
                ) );
            } else {
                global $post;
                if( strpos( $post->post_content, '<!--more-->' ) ) {
                    
                    the_content( sprintf(
                        wp_kses(
                            /* translators: %s: Name of current post. Only visible to screen readers */
                            __( '<span class="screen-reader-text">Continue reading "%s"</span>', 'doublef-galleries' ),
                            array(
                                'span' => array(
                                    'class' => array(),
                                ),
                            )
                        ),
                        get_the_title()
                    ) );
        
                    wp_link_pages( array(
                        'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'doublef-galleries' ),
                        'after'  => '</div>',
                    ) );
                    
                } else {
                    the_excerpt();
                    printf(
                        wp_kses(
                            /* translators: %s: Name of current post. Only visible to screen readers */
                            __( '<span class="screen-reader-text">Continue reading "%s"</span>', 'doublef-galleries' ),
                            array(
                                'span' => array(
                                    'class' => array(),
                                ),
                            )
                        ),
                        get_the_title()
                    );
                }
            }
            ?>
            
        </div><!-- .entry-content -->
        
        <?php endif; ?>
        
    </div><!-- .post-text-block -->
    
</article><!-- #post-<?php the_ID(); ?> -->