<?php
/**
 * The template part for displaying Course archive
 * @package Doublef
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'layout_2' ); ?>>

    <?php if( $post_has_thumb && $show_featured_image ) { ?>
        
        <figure class="post-thumbnail">
			<a href="<?php esc_url( the_permalink() ); ?>" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail( 'full' ); ?></a>
        </figure>
        
    <?php } ?>
    
    <div class="doublef-galleries-content-wrap<?php if( get_theme_mod( 'doublef-galleries-cat-content-invert', FALSE ) ) echo ' invert'; ?>">

    <header class="entry-header">
    
        <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
        
		<?php 
        if( $show_photos_num ) : ?>
            <h4 class="doublef-gallery-photos-num">
            <?php 
            $singular_photos = esc_attr__( 'photo', 'doublef-galleries' );
            $plural_photos = esc_attr__( 'photos', 'doublef-galleries' );
            $photos_string = ( $photos_num == 1 ) ? $singular_photos : $plural_photos;
            printf( '%d ' . $photos_string, $photos_num ); 
            ?>
            </h4>
        <?php endif; ?>
        
    </header><!-- .entry-header -->
    
    <?php if( $show_excerpt ) : ?>

    <div class="entry-content">
    
        <?php
            // depends on settings
            if( 'fulltext' == $excerpt_type ) {
                the_content( sprintf(
                    wp_kses(
                        /* translators: %s: Name of current post. Only visible to screen readers */
                        __( '<span class="screen-reader-text">Continue reading "%s"</span>', 'doublef-galleries' ),
                        array(
                            'span' => array(
                                'class' => array(),
                            ),
                        )
                    ),
                    get_the_title()
                ) );
    
                wp_link_pages( array(
                    'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'doublef-galleries' ),
                    'after'  => '</div>',
                ) );
            } else {
                global $post;
                    if( strpos( $post->post_content, '<!--more-->' ) ) {
                        
                        the_content( sprintf(
                            wp_kses(
                                /* translators: %s: Name of current post. Only visible to screen readers */
                                __( '<span class="screen-reader-text">Continue reading "%s"</span>', 'doublef-galleries' ),
                                array(
                                    'span' => array(
                                        'class' => array(),
                                    ),
                                )
                            ),
                            get_the_title()
                        ) );
            
                        wp_link_pages( array(
                            'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'doublef-galleries' ),
                            'after'  => '</div>',
                        ) );
                        
                    } else {
                        the_excerpt();
                        printf(
                            wp_kses(
                                /* translators: %s: Name of current post. Only visible to screen readers */
                                __( '<span class="screen-reader-text">Continue reading "%s"</span>', 'doublef-galleries' ),
                                array(
                                    'span' => array(
                                        'class' => array(),
                                    ),
                                )
                            ),
                            get_the_title()
                        );
                    }
            }
        ?>
        
    </div><!-- .entry-content -->
    
    <?php endif; ?>
    
    </div><!-- custom/inline style wrapper -->
    
</article><!-- #post-<?php the_ID(); ?> -->