<?php
/**
 * The template for displaying Gallery archives
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Doublef
 */
 
get_header(); 
?>

<?php
// settings
$use_sidebar = ( '' != get_theme_mod( 'doublef-galleries-cat-sidebar', 'no' ) ) ? esc_attr__( get_theme_mod( 'doublef-galleries-cat-sidebar', 'no' ) ) : 'no';
$sidebar_side = ( '' != get_theme_mod( 'doublef-galleries-cat-sidebar-side', 'right' ) ) ? esc_attr__( get_theme_mod( 'doublef-galleries-cat-sidebar-side', 'right' ) ) : 'right';
$content_class = ( 'left' == $sidebar_side ) ? ' grid__col grid__col--2-of-3 grid__col--push-1-of-3 grid__col--pull-m-1-of-1 has-sidebar-left' : ' grid__col grid__col--2-of-3';
if( 'no' == $use_sidebar ) $content_class  = ' grid__col grid__col--3-of-3';

// selected layout
$selected_layout = ( '' != get_theme_mod( 'doublef-galleries-cat-layout', 'layout_1' ) ) ? esc_attr__( get_theme_mod( 'doublef-galleries-cat-layout', 'layout_1' ) ) : 'layout_1';

// featured-image, title, subtitle, summary, summary type
$show_photos_num = in_array( 'photos-num', get_theme_mod( 'doublef-galleries-cat-item-display', array( 'photos-num', 'featured-image', 'excerpt' ) ) );
$show_featured_image = in_array( 'featured-image', get_theme_mod( 'doublef-galleries-cat-item-display', array( 'photos-num', 'featured-image', 'excerpt' ) ) );
$show_excerpt = in_array( 'excerpt', get_theme_mod( 'doublef-galleries-cat-item-display', array( 'photos-num', 'featured-image', 'excerpt' ) ) );
// type of excerpt
$excerpt_type = ( '' != get_theme_mod( 'doublef-galleries-cat-excerpt-mode', 'summary' ) ) ? esc_attr__( get_theme_mod( 'doublef-galleries-cat-excerpt-mode', 'summary' ) ) : 'summary';
// is SO live editor?
$so_live_editor = isset( $_REQUEST[ 'siteorigin_panels_live_editor' ] ) ? $_REQUEST[ 'siteorigin_panels_live_editor' ] : FALSE;
?>

<div class="grid__col grid__col--3-of-3">

	<div class="grid<?php if( 'left' == $sidebar_side ) echo ' remove-negative-margin'; ?>">

	<div id="primary" class="content-area<?php echo esc_attr( $content_class ); ?>">
    
		<main id="main" class="site-main" role="main">

		<?php 
		
		if( have_posts() ) : 
		
			do_action( 'doublef_courses_archives_header' );
			
			if( 'layout_3' == $selected_layout ) {
				
				$cols_numbr = ( '' != get_theme_mod( 'doublef-galleries-cat-layout_3_grid', '6' ) ) ? esc_attr__( get_theme_mod( 'doublef-galleries-cat-layout_3_grid', '6' ) ) : '6';
				echo '<div class="grid">';
				
			}
		
		?>

		<?php
        /* Start the Loop */
        while( have_posts() ) : the_post();	
				
			//thumb		
			$post_has_thumb = TRUE;
			if( ! has_post_thumbnail() ) $post_has_thumb = FALSE;
			
			// features regular
			$photos_num = 0;
			if( $show_photos_num ) {
				
				$gallery_repository = get_post_meta( get_the_ID(), DOUBLEF_GALLERIES_PREFIX . 'gal_photos', TRUE );
				if( !empty( $gallery_repository ) ) $photos_num = count( $gallery_repository );
				
			}
			
            require Doublef_Galleries::doublef_galleries_get_cpt_archive_part();
            
        endwhile; 
        ?>
        
        <?php 
		
		if( function_exists( 'doublef_paging_nav' ) ) { doublef_paging_nav(); } 
		
		if( 'layout_3' == $selected_layout ) echo '</div>';
		
		?>

		<?php else : ?>
            
            <section class="no-results not-found">
            
                <header class="entry-header">
                
                    <h1 class="entry-title"><?php esc_html_e( 'Nothing Found', 'doublef-galleries' ); ?></h1>
                    
                </header><!-- .page-header -->
            
                <div class="entry-content">
                
                    <p><?php esc_html_e( 'No database records found!', 'doublef-galleries' ); ?></p>
                    
                </div><!-- .entry-content -->
                
            </section><!-- .no-results -->
            
        <?php endif; ?>

		</main><!-- #main -->
        
	</div><!-- #primary -->

	<?php if( 'yes' == $use_sidebar ) get_sidebar( $sidebar_side ); ?>

	</div><!-- .grid-->
    
</div><!-- .grid__col -->

<?php
get_footer();