<?php
/*
Widget Name: Doublef Featured Gallery
Description: Featured gallery widget
Author: Dameer DJ
Author URI: http://themeforest.com/users/feeleep
*/

if( ! class_exists( 'Doublef_Featured_Gallery' ) ) : 

	class Doublef_Featured_Gallery extends SiteOrigin_Widget {		
	
		function __construct() {
	
			parent::__construct(
			
				'doublef-featured-gallery',
				
				esc_attr__( 'Doublef Featured Gallery', 'doublef-galleries' ),
				
				array(
					'description' => esc_attr__( 'Featured gallery widget', 'doublef-galleries' ),
					'panels_groups' => array( 'buntington2' ),
					'has_preview' => 0,
				),
				
				array(),
				
				array(
	
					'widget_title' => array(
						'type' => 'text',
						'label' => esc_attr__( 'Widget Title', 'doublef-galleries' ),
					),
					
					'show_gallery_post' => array(
						'type' => 'select',
						'label' => esc_attr__( 'Select target Gallery by title', 'doublef-galleries' ),
						'options' => Doublef_Galleries::doublef_galleries_get_gallery_by_title(),
					),
	
				),
				
				DOUBLEF_GALLERIES_DIR
				
			);
		}
	
		/**
		 * Initialize the widget
		 */
		function initialize() {
			
			$this->register_frontend_styles(
				array(
					array(
						'featured-gallery-styles',
						DOUBLEF_GALLERIES_URI . 'siteorigin-widgets/doublef-featured-gallery/css/style.css',
						array(),
					),
				)
			);
			
		}
		
		function get_template_dir( $instance ) {
			return 'templates';
		}
		
		function get_template_name( $instance ) {
			return 'view';
		}

		function get_style_name( $instance ) {
			return ''; // no .less file
		}

	}
	
endif;

siteorigin_widget_register( 'doublef-featured-gallery', __FILE__, 'Doublef_Featured_Gallery' );