<?php
// settings
$widget_title = $instance[ 'widget_title' ];
$show_gallery_post = $instance[ 'show_gallery_post' ];
?>

<?php if( '' != $widget_title ) : ?><h2 class="widget-title"><?php echo esc_attr( $widget_title ); ?></h2><?php endif; ?>

<?php
// post by ID
$post_id = intval( $show_gallery_post );
$gallery_post = 0;

if( $post_id ) { 

    $gallery_post = get_post( $post_id );
    setup_postdata( $post_id );
    // wrap
    ?>
    
    <div class="doublef-gallery-widget-wrap">
    
    <?php
    // post meta
    $photos_in_gallery = 0;
    $gallery_repository = get_post_meta( $post_id, DOUBLEF_GALLERIES_PREFIX . 'gal_photos', TRUE );
    if( ! empty( $gallery_repository ) ) $photos_in_gallery = count( $gallery_repository );
    // strings
    $singular_photos = esc_attr__( 'photo', 'doublef-galleries' );
    $plural_photos = esc_attr__( 'photos', 'doublef-galleries' );
    $photos_string = ( $photos_in_gallery == 1 ) ? $singular_photos : $plural_photos;
    
    // if has featured image
    if( has_post_thumbnail( $post_id ) ) : 
    ?>
    
        <figure class="post-thumbnail">
        
            <a href="<?php echo esc_url( get_permalink( $post_id ) ); ?>" title="<?php echo esc_attr( get_the_title( $post_id ) ); ?>">
                <?php echo get_the_post_thumbnail( $post_id, 'full' ); ?>
            </a>
            
        </figure>
        
    <?php endif; ?>
    
        <div class="doublef-gallery-title-wrap">
        
            <h2 class="doublef-gallery-title">
            
                <a href="<?php echo esc_url( get_permalink( $post_id ) ); ?>" title="<?php echo esc_attr( get_the_title( $post_id ) ); ?>">
                    <?php echo esc_attr( get_the_title( $post_id ) ); ?>
                </a>
                
            </h2>
            
            <h5 class="doublef-gallery-photos-num"><?php printf( '%d ' . $photos_string, $photos_in_gallery ); ?></h5>
            
        </div>
    
    </div>
    
    <?php
    
} else {
    ?>
    
    <section class="no-results not-found">
    
        <header class="entry-header">
        
            <h1 class="entry-title"><?php esc_html_e( 'Nothing Found', 'doublef-galleries' ); ?></h1>
            
        </header><!-- .page-header -->
    
        <div class="entry-content">
        
            <p><?php esc_html_e( 'This Gallery can not be found!', 'doublef-galleries' ); ?></p>
            
        </div><!-- .entry-content -->
        
    </section><!-- .no-results -->
    
    <?php
}